curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/workflows \
--header 'Authorization: Bearer <token>'{
"flows": [
{
"name": "<string>",
"description": "<string>",
"spans": [
{
"name": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"attributes": {},
"status": {},
"ended": true,
"events": [
{
"name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"attributes": {}
}
],
"spanContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
},
"parentSpanContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
},
"parentSpanContenxt": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
}
}
],
"id": "<string>"
}
]
}GetIntegrationFlows returns the OpenTelemetry spans for a project, representing execution traces and telemetry data.
curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/workflows \
--header 'Authorization: Bearer <token>'{
"flows": [
{
"name": "<string>",
"description": "<string>",
"spans": [
{
"name": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"attributes": {},
"status": {},
"ended": true,
"events": [
{
"name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"attributes": {}
}
],
"spanContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
},
"parentSpanContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
},
"parentSpanContenxt": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
}
}
],
"id": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.versori.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
OK
IntegrationFlows represents the flow of an integration.
Show child attributes